/* css styles */

/* Normal */
::selection {
    background-color: black;
    color: whitesmoke;
    mix-blend-mode: difference;
}

body {
    padding: 0;
    margin: 0;
    background-image: url('../images/gateway/IMG_20260314_150141_small.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    
    
    font-family: 'UbuntuMonoNF';
}

.quarto-title-block {
    /* 控制整个标题区块的样式（如背景、边距、隐藏等） */
    /* display: none !important; /* 彻底隐藏页面内标题区块 */

    color: white;
    mix-blend-mode: difference;
}

p {
    line-height: 1.4;
    font-weight: 300;
}

p span {
    background-color: whitesmoke;
}

a {
    outline-color:white;
    font-family: "DINish";
}

a:link {
    color:#303b2f;
    background:#c1d1cf;
    text-decoration:none;
}

a:visited {
    color:#303b2f;
    background:#c1d1cf;
    text-decoration:none;
}

a:focus {
    color:#303b2f; 
    background:#c1d1cf;
    text-decoration:none;
}
 
a:hover { 
    color: rgb(0, 12, 107);
    background:whitesmoke;
    text-decoration: none;
    font-family: "UbuntuMonoNF";
}

a:active {
    background:#c1d1cf;
    text-decoration:none;
}

/* coding */
code {
  /* 核心样式，按需修改 */
    color: black !important;           /* 文字颜色（蓝色） */
    background-color: #a4b2a2 !important;/* 背景色 */
    font-family: "UbuntuMonoNF", monospace; /* 字体 */
    /* font-size: 0.95em;        /* 字号 */ 
    /* font-weight: 500;         /* 加粗程度 */
    padding: 0.1em 0.3em;     /* 内边距（让文字不贴边） */
    border-radius: 0px;       /* 圆角 */
    border: 0px solid #dbeafe;/* 边框 */
    opacity: 0.8;
}

.navbar:hover {
    color: rgb(0, 12, 107) !important;
    font-family: 'DINish', sans-serif !important;
}

.navbar .nav-link:hover {
    color: rgb(0, 12, 107) !important;
    font-family: 'DINish', sans-serif !important; /* This is for the navbar font not to change */
}

.navbar .navbar-brand:hover {
    color: rgb(0, 12, 107) !important;
    font-family: 'DINish', sans-serif !important;
}